
CoCoA-5 - Bug #1505

EmacsUI: fix "Go to Error C-c C-p"

09 Oct 2020 10:32 - Anna Maria Bigatti

Status: Closed Start date: 09 Oct 2020

Priority: High Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: EmacsUI Estimated time: 1.00 hour

Target version: CoCoA-5.4.0 Spent time: 0.95 hour

Description

string-to-int has been an obsolete function since Emacs 22.1, and it was removed in 26.1.

Fix code in cocoa5.el

History

#1 - 09 Oct 2020 10:33 - Anna Maria Bigatti

- Category set to EmacsUI

- Target version set to CoCoA-5.4.0

- % Done changed from 0 to 20

string-to-number should be used instead.

But there are a few more things not working as before: the error text in the bottom line.

Investigating

#2 - 09 Oct 2020 11:01 - Anna Maria Bigatti

- Status changed from New to Feedback

- Priority changed from Normal to High

- % Done changed from 20 to 90

- Estimated time set to 1.00 h

I resorted the lines and now gives the message in the bottom line.

Works fine on emacs 26 and 24.  I expect it works from version 22.

#3 - 14 Oct 2020 14:06 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
